Imports System.Data
Imports System.Data.SqlClient
Imports System.Configuration

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        If Not IsPostBack Then
            ddlCustomers.Items.Add(New ListItem("--Select Customer--", ""))
            ddlCustomers.AppendDataBoundItems = True
            Dim strConnString As String = ConfigurationManager.ConnectionStrings("conString").ConnectionString
            Dim strQuery As String = "select CustomerID, ContactName from Customers"
            Dim con As New SqlConnection(strConnString)
            Dim cmd As New SqlCommand()
            cmd.CommandType = CommandType.Text
            cmd.CommandText = strQuery
            cmd.Connection = con
            Try
                con.Open()
                ddlCustomers.DataSource = cmd.ExecuteReader()
                ddlCustomers.DataTextField = "ContactName"
                ddlCustomers.DataValueField = "CustomerID"
                ddlCustomers.DataBind()
            Catch ex As Exception
                Throw ex
            Finally
                con.Close()
                con.Dispose()
            End Try
        End If
    End Sub
    Protected Sub ddlCustomers_SelectedIndexChanged(ByVal sender As Object, ByVal e As EventArgs)
        Dim strConnString As String = ConfigurationManager _
                     .ConnectionStrings("conString").ConnectionString
        Dim strQuery As String = "select City, Country from Customers where" _
                                 & " CustomerID = @CustomerID"
        Dim con As New SqlConnection(strConnString)
        Dim cmd As New SqlCommand()
        cmd.Parameters.AddWithValue("@CustomerID", ddlCustomers.SelectedItem.Value)
        cmd.CommandType = CommandType.Text
        cmd.CommandText = strQuery
        cmd.Connection = con
        Try
            con.Open()
            Dim sdr As SqlDataReader = cmd.ExecuteReader()
            While sdr.Read()
                txtCity.Text = sdr(0).ToString()
                lblCountry.Text = sdr("Country").ToString()
            End While
        Catch ex As Exception
            Throw ex
        Finally
            con.Close()
            con.Dispose()
        End Try
    End Sub

End Class
